Delete a Role.

Permission Level: Read-Write (deprecated)

DELETE /users/roles/{roleId}

Operation id: RoleService_DeleteRole

Description

[Deprecated: Please use the Bulk Delete Roles API.] Delete a Role.

Tags: RoleService

Parameters

Path parameters

NameTypeRequiredDescription
roleIdstringYes

Query parameters

NameTypeRequiredDescription
domainstringNo
scopestringNo
tenantIdstringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}